package com.keyware.shandan.system.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.keyware.shandan.common.entity.Result;
import com.keyware.shandan.common.service.IBaseService;
import com.keyware.shandan.system.entity.SysUser;

/**
 * <p>
 * 系统用户表 服务类
 * </p>
 *
 * @author GuoXin
 * @since 2021-05-07
 */
public interface SysUserService extends IBaseService<SysUser, String> {

    SysUser findByLoginName(String username);

    Result<SysUser> resetPassword(SysUser user);

    Result<Boolean> updatePassword(String oldPassword, String newPassword);

    Page<SysUser> pageAll(Page<SysUser> page, QueryWrapper<SysUser> queryWrapper);
}
